%define _use_internal_dependency_generator 0

Summary: A low level Perl module for parsing XML either via trees or streaming.
Name: perl-XML-Parser
Version: 2.31
Release: 16.EL3
License: distributable
Group: Applications/CPAN
Source0: XML-Parser-%{version}.tar.gz
Patch0: XML-Parser-2.31-bz142972.patch
Url: http://www.cpan.org
BuildRoot: %{_tmppath}/perl-XML-Parser-buildroot/
BuildRequires: perl >= 2:5.8.0
BuildRequires: perl-libwww-perl
BuildRequires: perl-URI
Requires: perl >= 2:5.8.0
Requires: perl-libwww-perl
Requires: perl-URI

%description
This module provides ways to parse XML documents. It is built on top
of XML::Parser::Expat, which is a lower level interface to James
Clark's expat library. Each call to one of the parsing methods creates
a new instance of XML::Parser::Expat which is then used to parse the
document. Expat options may be provided when the XML::Parser object is
created. These options are then passed on to the Expat object on each
parse call. They can also be given as extra arguments to the parse
methods, in which case they override options given at XML::Parser
creation time.

%prep
%setup -q -n XML-Parser-%{version} 
%patch0 -p1 -b .bz142972

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > XML-Parser-%{version}-filelist
if [ "$(cat XML-Parser-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f XML-Parser-%{version}-filelist
%defattr(-,root,root)
%dir %{_libdir}/perl5/vendor_perl/%(perl -MConfig -le 'print "$Config{version}/$Config{archname}"')/XML/Parser
%dir %{_libdir}/perl5/vendor_perl/%(perl -MConfig -le 'print "$Config{version}/$Config{archname}"')/auto/XML/Parser

%changelog
* Thu Jan 12 2006 Jason Vas Dias <jvdias@redhat.com>
- fix bug 142972: backport memory leak fix from 2.34

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Thu Jun 27 2002 Chip Turner <cturner@redhat.com>
- description update

* Tue Jun  4 2002 Chip Turner <cturner@redhat.com>
- properly claim directories owned by package so they are removed when package is removed

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Dec 7 2001 root <root@redhat.com>
- Spec file was autogenerated. 
